﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class IdToErrorMsgConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is int)
            {
                switch ((int)value)
                {
                    case 400: return "Bad Request";
                    case 401: return "Unauthorized";
                    case 402: return "Payment Required";
                    case 403: return "Forbidden";
                    case 404: return "Not Found";
                    case 405: return "Method Not Allowed";
                    case 406: return "Not Acceptable";
                    case 407: return "Proxy Authentication Required";
                    case 408: return "Request Timeout";
                    case 409: return "Conflict";
                    case 410: return "Gone";
                    case 411: return "Length Required";
                }
            }
            return "Unknown Error";
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
    
    public class InternalError
    {
        public int Id { get; set; }

        public int ErrorId { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            ObservableCollection<InternalError> errors = new ObservableCollection<InternalError>();

            errors.Add(new InternalError() { Id =  1, ErrorId = 406 });
            errors.Add(new InternalError() { Id =  2, ErrorId = 400 });
            errors.Add(new InternalError() { Id =  3, ErrorId = 403 });
            errors.Add(new InternalError() { Id =  4, ErrorId = 401 });
            errors.Add(new InternalError() { Id =  5, ErrorId = 404 });
            errors.Add(new InternalError() { Id =  6, ErrorId = 408 });
            errors.Add(new InternalError() { Id =  7, ErrorId = 411 });
            errors.Add(new InternalError() { Id =  8, ErrorId = 406 });
            errors.Add(new InternalError() { Id =  9, ErrorId = 408 });
            errors.Add(new InternalError() { Id = 10, ErrorId = 410 });
            errors.Add(new InternalError() { Id = 11, ErrorId = 402 });
            errors.Add(new InternalError() { Id = 12, ErrorId = 405 });
            errors.Add(new InternalError() { Id = 13, ErrorId = 407 });

            Errors = errors;
        }

        public ObservableCollection<InternalError> Errors { get; set; }
    }

}
